com.informix.jdbcx

## Class AbstractDataSource

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - com.informix.util.AdvancedUppercaseProperties
        - - com.informix.jdbcx.AbstractDataSource

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.sql.Wrapper, java.util.Map<java.lang.Object,java.lang.Object>, javax.sql.CommonDataSource, javax.sql.DataSource

Direct Known Subclasses:
  InformixDataSource

    public abstract class AbstractDataSource
    extends com.informix.util.AdvancedUppercaseProperties
    implements javax.sql.DataSource

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.informix.util.AdvancedUppercaseProperties

`FALSE, TRUE`

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
`protected` `AbstractDataSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getAutoCaseSchema()`
`boolean` `getAutoFreeCursors()`
`boolean` `getCertificateVerification()`
`boolean` `getCommitBeforeIsolationChange()`
`java.sql.Connection` `getConnection()`
`java.sql.Connection` `getConnection(java.lang.String username, java.lang.String password)`
`int` `getConnectionCleanerDelay()`
`java.lang.String` `getCustomCodeSet()`
`java.lang.String` `getCustomLocale()`
`java.lang.String` `getCustomNLSMap()`
`java.lang.String` `getDatabase()`
`int` `getDefaultCursorHoldability()`
`boolean` `getDelimident()`
`boolean` `getEmulateInformixServer()`
`boolean` `getEncrypt()`
`java.lang.String` `getHost()`
`boolean` `getInvalidAutoCommitThrowError()`
`int` `getLobBufferSize()`
`int` `getLobCodesetConversionMemory()`
`boolean` `getLobReadonly()`
`int` `getLockTimeout()`
`int` `getLoginRetries()`
`int` `getLoginTimeout()`
`java.io.PrintWriter` `getLogWriter()`
`boolean` `getMetadataReplicationColumn()`
`boolean` `getMetadataUppercaseValues()`
`boolean` `getOptimizeOpenFetchClose()`
`java.lang.String` `getOverrideDatabaseProductName()`
`java.util.logging.Logger` `getParentLogger()`
`java.lang.String` `getPassword()`
`int` `getPort()`
`int` `getPreparedStatementCacheSize()`
`boolean` `getProcessTableNameInResultSets()`
`int` `getQueryBufferSize()`
`boolean` `getRemoveLobTempFilesOnRSClose()`
`boolean` `getSecondarySwitch()`
`java.lang.String` `getServerName()`
`java.lang.String` `getSessionVariables()`
`boolean` `getSetJvmLocale()`
`java.lang.String` `getTransactionIsolationLevel()`
`java.lang.String` `getTrustStore()`
`java.lang.String` `getTrustStorePassword()`
`boolean` `getUppercaseMetaDataRSColumnNames()`
`java.lang.String` `getUser()`
`boolean` `isWrapperFor(java.lang.Class<?> iface)`
`void` `setAutoCaseSchema(boolean value)`
`void` `setAutoFreeCursors(boolean value)`
`void` `setCertificateVerfication(boolean value)`
`void` `setCommitBeforeIsolationChange(boolean value)`
`void` `setConnectionCleanerDelay(int value)`
`void` `setCustomCodeSet(java.lang.String value)`
`void` `setCustomLocale(java.lang.String value)`
`void` `setCustomNLSMap(java.lang.String value)`
`void` `setDatabase(java.lang.String value)`
`void` `setDefaultCursorHoldability(int value)`
`void` `setDelimident(boolean value)`
`void` `setEmulateInformixServer(boolean value)`
`void` `setEncrypt(boolean value)`
`void` `setHost(java.lang.String value)`
`void` `setInvalidAutoCommitThrowError(boolean value)`
`void` `setLobBufferSize(int value)`
`void` `setLobCodesetConversionMemory(int value)`
`void` `setLobReadonly(boolean value)`
`void` `setLockTimeout(int value)`
`void` `setLoginRetries(int value)`
`void` `setLoginTimeout(int seconds)`
`void` `setLogWriter(java.io.PrintWriter out)`
`void` `setMetadataReplicationColumn(boolean value)`
`void` `setMetadataUppercaseValues(boolean value)`
`void` `setOptimizeOpenFetchClose(boolean value)`
`void` `setOverrideDatabaseProductName(java.lang.String value)`
`void` `setPassword(java.lang.String value)`
`void` `setPort(int value)`
`void` `setPreparedStatementCacheSize(int value)`
`void` `setProcessTableNameInResultSets(boolean value)`
`void` `setQueryBufferSize(int value)`
`void` `setRemoveLobTempFilesOnRSClose(boolean value)`
`void` `setSecondarySwitch(boolean value)`
`void` `setServerName(java.lang.String value)`
`void` `setSessionVariables(java.lang.String value)`
`void` `setSetJvmLocale(boolean value)`
`void` `setTransactionIsolationLevel(java.lang.String value)`
`void` `setTrustStore(java.lang.String value)`
`void` `setTrustStorePassword(java.lang.String value)`
`void` `setUppercaseMetaDataRSColumnNames(boolean value)`
`void` `setUser(java.lang.String value)`
`<T> T` `unwrap(java.lang.Class<T> iface)`

### Methods inherited from class com.informix.util.AdvancedUppercaseProperties

`asBool, asBool, asBool, asDouble, asInt, asInt, asInt, asLong, asLong, asLong, asString, asString, containsKey, getProperty, getProperty, put, putAll, remove, setParent, setProperty`

### Methods inherited from class java.util.Properties

`list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, putIfAbsent, rehash, remove, replace, replace, replaceAll, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractDataSource

    protected AbstractDataSource()

### Method Detail

#### getParentLogger

    public java.util.logging.Logger getParentLogger()
                                             throws java.sql.SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `javax.sql.CommonDataSource`
Throws:
  `java.sql.SQLFeatureNotSupportedException`

#### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
                 throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`

#### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

Specified by:
  `getConnection` in interface `javax.sql.DataSource`
Throws:
  `java.sql.SQLException`

#### getConnection

    public java.sql.Connection getConnection(java.lang.String username,
                                             java.lang.String password)
                                      throws java.sql.SQLException

Specified by:
  `getConnection` in interface `javax.sql.DataSource`
Throws:
  `java.sql.SQLException`

#### getLogWriter

    public java.io.PrintWriter getLogWriter()

Specified by:
  `getLogWriter` in interface `javax.sql.CommonDataSource`

#### setLogWriter

    public void setLogWriter(java.io.PrintWriter out)

Specified by:
  `setLogWriter` in interface `javax.sql.CommonDataSource`

#### setAutoCaseSchema

    public void setAutoCaseSchema(boolean value)

#### getAutoCaseSchema

    public boolean getAutoCaseSchema()

#### setAutoFreeCursors

    public void setAutoFreeCursors(boolean value)

#### getAutoFreeCursors

    public boolean getAutoFreeCursors()

#### setCertificateVerfication

    public void setCertificateVerfication(boolean value)

#### getCertificateVerification

    public boolean getCertificateVerification()

#### setCommitBeforeIsolationChange

    public void setCommitBeforeIsolationChange(boolean value)

#### getCommitBeforeIsolationChange

    public boolean getCommitBeforeIsolationChange()

#### setConnectionCleanerDelay

    public void setConnectionCleanerDelay(int value)

#### getConnectionCleanerDelay

    public int getConnectionCleanerDelay()

#### setCustomCodeSet

    public void setCustomCodeSet(java.lang.String value)

#### getCustomCodeSet

    public java.lang.String getCustomCodeSet()

#### setCustomLocale

    public void setCustomLocale(java.lang.String value)

#### getCustomLocale

    public java.lang.String getCustomLocale()

#### setCustomNLSMap

    public void setCustomNLSMap(java.lang.String value)

#### getCustomNLSMap

    public java.lang.String getCustomNLSMap()

#### setDatabase

    public void setDatabase(java.lang.String value)

#### getDatabase

    public java.lang.String getDatabase()

#### setDefaultCursorHoldability

    public void setDefaultCursorHoldability(int value)

#### getDefaultCursorHoldability

    public int getDefaultCursorHoldability()

#### setDelimident

    public void setDelimident(boolean value)

#### getDelimident

    public boolean getDelimident()

#### setEmulateInformixServer

    public void setEmulateInformixServer(boolean value)

#### getEmulateInformixServer

    public boolean getEmulateInformixServer()

#### setEncrypt

    public void setEncrypt(boolean value)

#### getEncrypt

    public boolean getEncrypt()

#### setHost

    public void setHost(java.lang.String value)

#### getHost

    public java.lang.String getHost()

#### setInvalidAutoCommitThrowError

    public void setInvalidAutoCommitThrowError(boolean value)

#### getInvalidAutoCommitThrowError

    public boolean getInvalidAutoCommitThrowError()

#### setLobBufferSize

    public void setLobBufferSize(int value)

#### getLobBufferSize

    public int getLobBufferSize()

#### setLobCodesetConversionMemory

    public void setLobCodesetConversionMemory(int value)

#### getLobCodesetConversionMemory

    public int getLobCodesetConversionMemory()

#### setLobReadonly

    public void setLobReadonly(boolean value)

#### getLobReadonly

    public boolean getLobReadonly()

#### setLockTimeout

    public void setLockTimeout(int value)

#### getLockTimeout

    public int getLockTimeout()

#### setLoginRetries

    public void setLoginRetries(int value)

#### getLoginRetries

    public int getLoginRetries()

#### setLoginTimeout

    public void setLoginTimeout(int seconds)

Specified by:
  `setLoginTimeout` in interface `javax.sql.CommonDataSource`

#### getLoginTimeout

    public int getLoginTimeout()

Specified by:
  `getLoginTimeout` in interface `javax.sql.CommonDataSource`

#### setMetadataReplicationColumn

    public void setMetadataReplicationColumn(boolean value)

#### getMetadataReplicationColumn

    public boolean getMetadataReplicationColumn()

#### setMetadataUppercaseValues

    public void setMetadataUppercaseValues(boolean value)

#### getMetadataUppercaseValues

    public boolean getMetadataUppercaseValues()

#### setOptimizeOpenFetchClose

    public void setOptimizeOpenFetchClose(boolean value)

#### getOptimizeOpenFetchClose

    public boolean getOptimizeOpenFetchClose()

#### setOverrideDatabaseProductName

    public void setOverrideDatabaseProductName(java.lang.String value)

#### getOverrideDatabaseProductName

    public java.lang.String getOverrideDatabaseProductName()

#### setPassword

    public void setPassword(java.lang.String value)

#### getPassword

    public java.lang.String getPassword()

#### setPort

    public void setPort(int value)

#### getPort

    public int getPort()

#### setPreparedStatementCacheSize

    public void setPreparedStatementCacheSize(int value)

#### getPreparedStatementCacheSize

    public int getPreparedStatementCacheSize()

#### setProcessTableNameInResultSets

    public void setProcessTableNameInResultSets(boolean value)

#### getProcessTableNameInResultSets

    public boolean getProcessTableNameInResultSets()

#### setQueryBufferSize

    public void setQueryBufferSize(int value)

#### getQueryBufferSize

    public int getQueryBufferSize()

#### setRemoveLobTempFilesOnRSClose

    public void setRemoveLobTempFilesOnRSClose(boolean value)

#### getRemoveLobTempFilesOnRSClose

    public boolean getRemoveLobTempFilesOnRSClose()

#### setSecondarySwitch

    public void setSecondarySwitch(boolean value)

#### getSecondarySwitch

    public boolean getSecondarySwitch()

#### setServerName

    public void setServerName(java.lang.String value)

#### getServerName

    public java.lang.String getServerName()

#### setSessionVariables

    public void setSessionVariables(java.lang.String value)

#### getSessionVariables

    public java.lang.String getSessionVariables()

#### setTransactionIsolationLevel

    public void setTransactionIsolationLevel(java.lang.String value)

#### getTransactionIsolationLevel

    public java.lang.String getTransactionIsolationLevel()

#### getTrustStore

    public java.lang.String getTrustStore()

#### setTrustStore

    public void setTrustStore(java.lang.String value)

#### getTrustStorePassword

    public java.lang.String getTrustStorePassword()

#### setTrustStorePassword

    public void setTrustStorePassword(java.lang.String value)

#### setUppercaseMetaDataRSColumnNames

    public void setUppercaseMetaDataRSColumnNames(boolean value)

#### getUppercaseMetaDataRSColumnNames

    public boolean getUppercaseMetaDataRSColumnNames()

#### setUser

    public void setUser(java.lang.String value)

#### getUser

    public java.lang.String getUser()

#### setSetJvmLocale

    public void setSetJvmLocale(boolean value)

#### getSetJvmLocale

    public boolean getSetJvmLocale()